Subject: Re: acenic lockup

From: Jeff Garzik <[email-masked]>
Date: Thu, 8 May 2003 13:11:35 -0400

On Thu, May 08, 2003 at 09:00:49AM -0700, David S. Miller wrote:
> Note to Jeff, independant of what is being discussed here, a real
> audit of drivers that blindly invoke netif_wake_queue() from transmit
> timeout watchdog routine is in order at some point.  This is what
> Alexey is referring to as "same bogus netif_wake_queue()".

Agreed.  Alexey has pointed out netif_wake_queue stupidities in
drivers before, and he's absolutely right.

	Jeff

P.S. Can you please email @pobox.com for stuff that is not Red Hat
specific?  I am trying to use @redhat.com for only official Red Hat
business.  My boss forces me to bk-commit as @redhat.com, otherwise you
would never see that address in public at all.